PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cgelqt | ( | int | M,
|  | int | N,
|  | int | IB,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_Complex32_t * | T,
|  | int | LDT,
|  | PLASMA_Complex32_t * | TAU,
|  | PLASMA_Complex32_t * | WORK
| ) |  |

CORE_cgelqt - computes a LQ factorization of a complex M-by-N tile A: A = L * Q.

The tile Q is represented as a product of elementary reflectors

Q = H(k)' . . . H(2)' H(1)', where k = min(M,N).

Each H(i) has the form

H(i) = I - tau * v * v'

where tau is a complex scalar, and v is a complex vector with v(1:i-1) = 0 and v(i) = 1; conjfg(v(i+1:n)) is stored on exit in A(i,i+1:n), and tau in TAU(i).

Parameters

  [in] | M | The number of rows of the tile A. M >= 0.
  [in] | N | The number of columns of the tile A. N >= 0.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in,out] | A | On entry, the M-by-N tile A. On exit, the elements on and below the diagonal of the array contain the M-by-min(M,N) lower trapezoidal tile L (L is lower triangular if M <= N); the elements above the diagonal, with the array TAU, represent the unitary tile Q as a product of elementary reflectors (see Further Details).
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | T | The IB-by-N triangular factor T of the block reflector. T is upper triangular by block (economic storage); The rest of the array is not referenced.
  [in] | LDT | The leading dimension of the array T. LDT >= IB.
  [out] | TAU | The scalar factors of the elementary reflectors (see Further Details).
  [out] | WORK |

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value